org.eclipse.actf.util.xpath

## Class XPathService

- java.lang.Object
- - org.eclipse.actf.util.xpath.XPathService

    public abstract class XPathService
    extends Object

Utility class for XPath evaluation

### Constructor Summary

Constructors
Constructor and Description
`XPathService()`

### Method Summary

Methods
`abstract Object` `compile(String path)` Compile an XPath expression for later evaluation.
`abstract NodeList` `evalForNodeList(Object compiled, Node ctx)` Evaluate the compiled XPath expression in the specified context and return the result as NodeList.
`abstract String` `evalForString(Object compiled, Node ctx)` Evaluate the compiled XPath expression in the specified context and return the result as String.
`NodeList` `evalPathForNodeList(String path, Node ctx)` Evaluate the XPath expression in the specified context and return the result as NodeList.
`String` `evalPathForString(String path, Node ctx)` Evaluate the XPath expression in the specified context and return the result as NodeList.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XPathService

    public XPathService()

### Method Detail

#### compile

    public abstract Object compile(String path)

Compile an XPath expression for later evaluation.

Parameters:
  `path` - the target XPath expression
Returns:
  compiled XPath expression

#### evalForNodeList

    public abstract NodeList evalForNodeList(Object compiled,
                           Node ctx)

Evaluate the compiled XPath expression in the specified context and return the result as NodeList.

Parameters:
  `compiled` - the compiled XPath expression
  `ctx` - the target context
Returns:
  evaluation result as NodeList

#### evalForString

    public abstract String evalForString(Object compiled,
                       Node ctx)

Evaluate the compiled XPath expression in the specified context and return the result as String.

Parameters:
  `compiled` - the compiled XPath expression
  `ctx` - the target context
Returns:
  evaluation result as String

#### evalPathForNodeList

    public NodeList evalPathForNodeList(String path,
                               Node ctx)

Evaluate the XPath expression in the specified context and return the result as NodeList.

Parameters:
  `path` - the target XPath expression
  `ctx` - the target context
Returns:
  evaluation result as NodeList

#### evalPathForString

    public String evalPathForString(String path,
                           Node ctx)

Evaluate the XPath expression in the specified context and return the result as NodeList.

Parameters:
  `path` - the target XPath expression
  `ctx` - the target context
Returns:
  evaluation result as String